std::future< _Res > Class Template Reference
Concurrency » Futures

## Public Member Functions

| future (const future &)=delete
| future (future &&__uf) noexcept
_Res | get ()
future & | operator= (const future &)=delete
future & | operator= (future &&__fut) noexcept
shared_future< _Res > | share () noexcept

## Friends

template<typename _Fn , typename... _Args>
future< __async_result_of< _Fn, _Args... > > | async (launch, _Fn &&, _Args &&...)
template<typename >
class | packaged_task
class | promise< _Res >

## Detailed Description

### template<typename _Res>
class std::future< _Res >

Primary template for future.

Definition at line 125 of file future.

The documentation for this class was generated from the following file:

- future